TaskbarItem (gCube Resource Management Portlet 6.7.0-SNAPSHOT API)
Date: 2019-01-10

org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar

## Class TaskbarItem

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.client.widgets.taskbar.TaskbarItem

-     public class TaskbarItem
      extends Object

  Author:
    Massimiliano Assante (ISTI-CNR), Daniele Strollo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskbarItem(String scope, org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type, MainPanel container, String resourceID, String title, String uiComponentID, String buttonIcon)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate()`
    `void` | `destroy()`
    `protected void` | `disactivate()`
    `TaskbarWindow` | `getRelatedWindow()`
    `String` | `getResourceID()`
    `org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskbarItem

          public TaskbarItem(String scope,
                     org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator type,
                     MainPanel container,
                     String resourceID,
                     String title,
                     String uiComponentID,
                     String buttonIcon)

  - ### Method Detail

    - #### getResourceID

          public final String getResourceID()

    - #### destroy

          public final void destroy()

    - #### disactivate

          protected final void disactivate()

    - #### activate

          protected final void activate()

    - #### getRelatedWindow

          public final TaskbarWindow getRelatedWindow()

    - #### getType

          public org.gcube.resourcemanagement.support.client.views.ResourceTypeDecorator getType()

Copyright © 2019. All Rights Reserved.